libsigc++: sigc::slot1< T_return, T_arg1 > Class Template Reference

libsigc++ 2.2.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# sigc::slot1< T_return, T_arg1 > Class Template Reference
Slots

Converts an arbitrary functor to a unified type which is opaque. More...

`#include <sigc++/functors/slot.h>`

Inheritance diagram for sigc::slot1< T_return, T_arg1 >:
[legend]

List of all members.

## Public Types
typedef T_return | result_type
typedef type_trait< T_arg1 >::take | arg1_type_
## Public Member Functions
T_return | operator() (arg1_type_ _A_a1) const
| Invoke the contained functor unless slot is in blocking state.
template<class T_functor >
| slot1 (const T_functor& _A_func)
| Constructs a slot from an arbitrary functor.
| slot1 (const slot1& src)
slot1& | operator= (const slot1& src)
| Overrides this slot making a copy from another slot.

## Detailed Description

### template<class T_return, class T_arg1>
class sigc::slot1< T_return, T_arg1 >

Converts an arbitrary functor to a unified type which is opaque.

sigc::slot itself is a functor or to be more precise a closure. It contains a single, arbitrary functor (or closure) that is executed in operator()().

The template arguments determine the function signature of operator()():

- T_return The return type of operator()().
- T_arg1 Argument type used in the definition of operator()(). The default `nil` means no argument.

To use simply assign the slot to the desired functor. If the functor is not compatible with the parameter list defined with the template arguments compiler errors are triggered. When called the slot will invoke the functor with minimal copies. block() and unblock() can be used to block the functor's invocation from operator()() temporarily.

You should use the more convenient unnumbered sigc::slot template.

## Constructor & Destructor Documentation

template <class T_return , class T_arg1 >
template <class T_functor >

sigc::slot1< T_return, T_arg1 >::slot1 | ( | const T_functor & | _A_func | ) | `[inline]`

Constructs a slot from an arbitrary functor.

Parameters:

  _A_func | The desired functor the new slot should be assigned to.

## Member Function Documentation

template <class T_return , class T_arg1 >

T_return sigc::slot1< T_return, T_arg1 >::operator() | ( | arg1_type_ | _A_a1 | ) | const`[inline]`

Invoke the contained functor unless slot is in blocking state.

Parameters:

  _A_a1 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_return , class T_arg1 >

slot1& sigc::slot1< T_return, T_arg1 >::operator= | ( | const slot1< T_return, T_arg1 >& | src | ) | `[inline]`

Overrides this slot making a copy from another slot.

Parameters:

  src | The slot from which to make a copy.

Returns:
  `this`.